Explorer.ExplorerPanel

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.gui.explorer
Interface Explorer.ExplorerPanel

All Known Implementing Classes:
  AssociationsPanel, AttributeSelectionPanel, ClassifierPanel, ClustererPanel, PreprocessPanel, VisualizePanel

Enclosing class:
  Explorer

    public static interface Explorer.ExplorerPanel

A common interface for panels to be displayed in the Explorer

Version:
  $Revision: 4722 $
Author:
  FracPete (fracpete at waikato dot ac dot nz)

Method Summary
`Explorer` | `getExplorer()` returns the parent Explorer frame
`java.lang.String` | `getTabTitle()` Returns the title for the tab in the Explorer
`java.lang.String` | `getTabTitleToolTip()` Returns the tooltip for the tab in the Explorer
`void` | `setExplorer(Explorer parent)` Sets the Explorer to use as parent frame (used for sending notifications about changes in the data)
`void` | `setInstances(Instances inst)` Tells the panel to use a new set of instances.

Method Detail

### setExplorer

    void setExplorer(Explorer parent)

  Sets the Explorer to use as parent frame (used for sending notifications about changes in the data)

  Parameters:
    `parent` - the parent frame

### getExplorer

    Explorer getExplorer()

  returns the parent Explorer frame

  Returns:
    the parent

### setInstances

    void setInstances(Instances inst)

  Tells the panel to use a new set of instances.

  Parameters:
    `inst` - a set of Instances

### getTabTitle

    java.lang.String getTabTitle()

  Returns the title for the tab in the Explorer

  Returns:
    the title of this tab

### getTabTitleToolTip

    java.lang.String getTabTitleToolTip()

  Returns the tooltip for the tab in the Explorer

  Returns:
    the tooltip of this tab

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD